View Issue Details

IDProjectCategoryLast Update
0019739AI War 2[All Projects] Bug - GameplaySep 3, 2018 2:04 am
ReporterzeusalmightyAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.748 Macrophage Teeth 
Fixed in Version0.762 Spreadshot 
Summary0019739: Victory not recognized
DescriptionExpected: Killing AI Command Overlord should trigger victory notification

Observed: Game continues like normal

Context: I rushed a game and took full advantage of free science/metal from debugging. Worked my way to AI homeworld. rekt it, but nothing special happens =/

save included
TagsNo tags attached.

Activities

zeusalmighty

Jul 8, 2018 11:23 pm

reporter  

END OF GAME.savemet (47 bytes)
END OF GAME.save (7,068,730 bytes)

Ovalcircle

Jul 10, 2018 12:12 am

reporter   ~0047797

How is your game running so fast without the green +X on the bottom. And what's the C*5?

AI War 2 Fast Speed.jpg (170,901 bytes)
AI War 2 Fast Speed.jpg (170,901 bytes)

BadgerBadger

Jul 10, 2018 12:26 am

manager   ~0047798

There are two mechanisms for speeding up the game in AIW2. The first you get with the + button, and it makes sim steps try to happen more often. The second is Coarse sim steps which you get with Ctl-+, and it makes each given sim step cover more time. Or something like that; last time I tried to explain things I had it backwards. If your system is going too slow with "+" speedup then try "Ctl-+" speedup instead.

You can also combine the two to make things go by really quickly.

In this case zeus is using coarse +5, hence the C*5.

BadgerBadger

Jul 10, 2018 12:27 am

manager   ~0047799

PS congrats on actually beating the game!

Ovalcircle

Jul 10, 2018 12:49 am

reporter   ~0047802

Wow. That will help speed up testing by a lot.

zeusalmighty

Jul 11, 2018 1:40 pm

reporter   ~0047815

I think the AI new I was cheating and refused to acknowledge my victory XD

Ovalcircle

Jul 22, 2018 10:47 pm

reporter   ~0048039

Sorry for derailing the conversation earlier, but this is still happening in 0.754. I only used one cheat. I saved at the beginning, waited a few seconds, used scout all, pinpointed the AI Homeworld, and then reloaded the save at the start, before I used the cheat. I have a save of right before I killed the AI Overlord. Just tell the sniper turrets up top to attack it. Then it will explode and the game goes on. No win screen, no music.

Victory denied.save (5,022,902 bytes)
Victory denied.savemet (53 bytes)

BadgerBadger

Sep 3, 2018 2:04 am

manager   ~0048762

You should get some acknowledgement of your victory, plus victory music now

Issue History

Date Modified Username Field Change
Jul 8, 2018 11:23 pm zeusalmighty New Issue
Jul 8, 2018 11:23 pm zeusalmighty File Added: END OF GAME.save
Jul 8, 2018 11:23 pm zeusalmighty File Added: END OF GAME.savemet
Jul 10, 2018 12:12 am Ovalcircle File Added: AI War 2 Fast Speed.jpg
Jul 10, 2018 12:12 am Ovalcircle Note Added: 0047797
Jul 10, 2018 12:26 am BadgerBadger Note Added: 0047798
Jul 10, 2018 12:27 am BadgerBadger Note Added: 0047799
Jul 10, 2018 12:49 am Ovalcircle Note Added: 0047802
Jul 11, 2018 1:40 pm zeusalmighty Note Added: 0047815
Jul 22, 2018 10:47 pm Ovalcircle File Added: Victory denied.save
Jul 22, 2018 10:47 pm Ovalcircle File Added: Victory denied.savemet
Jul 22, 2018 10:47 pm Ovalcircle Note Added: 0048039
Sep 3, 2018 2:04 am BadgerBadger Assigned To => BadgerBadger
Sep 3, 2018 2:04 am BadgerBadger Status new => resolved
Sep 3, 2018 2:04 am BadgerBadger Resolution open => fixed
Sep 3, 2018 2:04 am BadgerBadger Fixed in Version => 0.762 Spreadshot
Sep 3, 2018 2:04 am BadgerBadger Note Added: 0048762